﻿@model DomainClass.Book

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}

<h4>تالیف و ترجمه کتاب و مقاله</h4>
<h4>ویرایش اطلاعات</h4>
<hr />

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

<div class="form-horizontal">
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    @Html.HiddenFor(model => model.ID)
    <div class="form-group">
        @Html.LabelFor(model => model.Onvan_Book, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-6">
            @Html.EditorFor(model => model.Onvan_Book, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Onvan_Book, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.NoAsar, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EnumDropDownListFor(model => model.NoAsar, "لطفاً یک مورد را انتخاب کنید", htmlAttributes: new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.NoAsar, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Nasher, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-4">
            @Html.EditorFor(model => model.Nasher, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Nasher, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
            @Html.LabelFor(model => model.SaleNashr, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-2">
                @Html.EditorFor(model => model.SaleNashr, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.SaleNashr, "", new { @class = "text-danger" })
            </div>
        </div>

    @*<div class="form-group">
            @Html.LabelFor(model => model.UserID, "UserID", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("UserID", null, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.UserID, "", new { @class = "text-danger" })
            </div>
        </div>*@
    <hr />
    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <input type="submit" value="ثبت اطلاعات" class="btn btn-primary" />
            @Html.ActionLink("بازگشت", "Index", "Book", new { @class = "btn btn-danger" })
        </div>
    </div>
</div>
}
